{
*****************************
*                           *
* Author: Adrian M. Hanslik *
* Date: 08. October 1999    *
* Title: AMHTipDialog       *
* Version: 1.0              *
*                           *
*****************************
}

unit AMHTipDialogUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TAMHTipDialogForm = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Panel: TPanel;
    CheckBox: TCheckBox;
    Bevel1: TBevel;
    Image: TImage;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    Tips : TStringList;
  end;

var
  AMHTipDialogForm: TAMHTipDialogForm;

implementation

{$R *.DFM}

Var
  NumTip : Word;

procedure TAMHTipDialogForm.Button1Click(Sender: TObject);
begin
  Randomize;
  NumTip := Random(Tips.Count);
  Label3.Caption := Tips.Strings[NumTip];
end;

procedure TAMHTipDialogForm.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TAMHTipDialogForm.FormCreate(Sender: TObject);
begin
  Tips := TStringList.Create;
end;

procedure TAMHTipDialogForm.FormShow(Sender: TObject);
begin
  if Tips.Count = 0 then
     Tips.Add('Keine Tips vorhanden!');
  if Tips.Count = 1 then
     Button1.Enabled := False;
  Randomize;
  NumTip := Random(Tips.Count);
  Label3.Caption := Tips.Strings[NumTip];
end;

procedure TAMHTipDialogForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Tips.Free;
end;

end.
